#!/usr/bin/env python3

import subprocess
import argparse

icon_sizes = ['16', '22', '24', '32', '48', '256', '512']

parser = argparse.ArgumentParser (description='Icon generator.')
parser.add_argument ('-r', '--root', dest='root', default='../data')
parser.add_argument ('-a', '--app', dest='app', default='org.gnome.podcast')
parser.add_argument ('-o', '--input', dest='input', default='../data/PACKAGE_ID.svg')

args = parser.parse_args()

for size in icon_sizes:
    subprocess.call ([
        'mkdir',
        '-p',
        '{0}/icons/hicolor/{1}x{1}/apps/'.format (args.root, size)
    ])

    subprocess.call ([
	    'inkscape',
	    '-z',
	    '-w', size,
	    '-h', size,
	    '-e', '{0}/icons/hicolor/{1}x{1}/apps/{2}.png'.format (args.root, size, args.app),
	    '{0}'.format (args.input)
    ])
