#ifndef __GPOD_FEED_CHANNEL_H__
#define __GPOD_FEED_CHANNEL_H__

#include "gpod-feed-item.h"

#include <glib-object.h>
#include <glib.h>

G_BEGIN_DECLS

#define GPOD_TYPE_CHANNEL (gpod_feed_channel_get_type ())

/**
 * GpodFeedChannel:
 *
 * A GPOD channel type. The contents of the #GpodFeedChannel structure are private
 * and should only be accessed by the provided API
 */
typedef struct _GpodFeedChannel GpodFeedChannel;

struct _GpodFeedChannel
{
    const gchar *guid;
    const gchar *title;
    const gchar *description;
    const gchar *link;
    const gchar *publish_date;
    const gchar *copyright;
    const gchar *updated;
    const gchar *image;

    GPtrArray *items;

    volatile gint ref_count;
};

GType gpod_feed_channel_get_type (void) G_GNUC_CONST;

GpodFeedChannel *
gpod_feed_channel_new (void);

GpodFeedChannel *
gpod_feed_channel_ref (GpodFeedChannel *object);

void
gpod_feed_channel_unref (GpodFeedChannel *object);


#ifdef G_DEFINE_AUTOPTR_CLEANUP_FUNC
G_DEFINE_AUTOPTR_CLEANUP_FUNC (GpodFeedChannel, gpod_feed_channel_unref)
#endif

G_END_DECLS

#endif /* __GPOD_FEED_CHANNEL_H__ */
