#ifndef __GPOD_FEED_MANAGER_H__
#define __GPOD_FEED_MANAGER_H__

#include "gpod-tracker.h"

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define GPOD_TYPE_FEED_MANAGER (gpod_feed_manager_get_type ())

G_DECLARE_FINAL_TYPE (GpodFeedManager, gpod_feed_manager, GPOD, FEED_MANAGER, GObject)

typedef void (*GpodFeedManagerGetFeeds) (gchar    *url,
                                         gchar    *title,
                                         gchar    *image,
                                         gpointer  user_data);

GpodFeedManager *
gpod_feed_manager_new ();

void
gpod_feed_manager_add_feed_by_url (GpodFeedManager *self,
                                   gchar           *url);

void
gpod_feed_manager_remove_feed_by_url (GpodFeedManager *self,
                                      gchar           *url);

void
gpod_feed_manager_get_feeds_with (GpodFeedManager         *self,
                                  GCancellable            *cancellable,
                                  GpodFeedManagerGetFeeds  callback,
                                  gpointer                 user_data);

G_END_DECLS

#endif /* __GPOD_FEED_MANAGER_H__ */
